﻿body
{
	margin: 0;
	padding: 0;
	background-color: white;
    font-size: 11px;
    font-family: Lucida Grande, Lucida Sans, Arial, sans-serif;
}

h1 {
    font-size: 20px;
}

tr.Header th.center {
    text-align: center;
}
.center {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

#container
{
	margin: 1px;
}

#banner
{
    margin: auto 1em auto 1em;
	border-bottom: 1px solid lightblue;
    overflow: auto;
}

#banner a img {border: none; }

#banner h1
{
	margin: 0;
	padding: .5em;
}

#nav
{
	float: left;
	width: 220px;
    margin-left: 1em;
    padding-top: .5em;
    overflow: hidden;
}

#nav p
{ 
	margin-top: 0;
}

#searchTerm {
    margin-top: 3px;
    width: 80%;
}

#content
{
	padding-top: .5em;
	margin: 0 1em 0 240px;
    overflow: auto;
}


div.report-container {
    padding-top: 0;
    padding-right: 0.2em;
    padding-left: 0.2em;
}
span.editDriverAloneFeeLink,
span#editDriverAloneFeeLink,
span.deleteDriverAloneFeeLink,
span#deleteDriverAloneFeeLink,
span.editLink,
span.createLink,
span.deleteLink,
span.resetPassLink,
span.createDriverFeeLink,
span.editDriverFeeLink,
span.deleteDriverFeeLink,
span.editTripLink,
span.createTripLink,
span.deleteTripLink,
span.deleteOccupantLink,
span#createTeamLink,
span#createTeamHistoryLink,
span#createTeamShiftLink,
span#editTeamHistoryLink,
span#editTeamShiftLink,
span#editTeamLink,
span#deleteTeamHistoryLink,
span#deleteTeamShiftLink,
span#deleteTeamLink,
img.shiftInfo,
img.AddAllOccupants,
img#RecalculateCompensation {
    text-decoration: none;
    cursor: pointer;
}

span.AddDistanceLink {
    float: right;
    margin-top: 10px;
}

span.AddDistanceLinkDriverAlone {
    float: right;
    margin-top: 10px;
}

a.linkButton {
    width: 100%;
}
span.linkButton {
    width: 100%;
}

#AddAllOccupantsButton {
    display: inline-block;
    float: right;
    padding-top: 6px;
}

#ReportOccupants {
    width: 100%;
}

.modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 ) 
                url(loading.gif) 
                50% 50% 
                no-repeat;
}

body.loading {
    overflow: hidden;   
}

body.loading .modal {
    display: block;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

#loginForm {
    border: 1px solid lightblue;
    margin-top: 1.3em;
    margin-left: auto;
    margin-right: auto;
    width: 320px;
}

.LoginData {
    padding: 20px 20px 20px 20px;
}

.LoginTitle {
    font-size: x-large;
    font-weight: bold;
    padding-left: 5px;
}

#LoginTable {
    width: 100%;
    margin-bottom: 20px;
}

.validationMessages {
    list-style: none;
    margin-left: 0;
    padding-left: 0;
}

.ui-datepicker-trigger {
    margin-left: 3px;
    margin-top: 8px;
    margin-bottom: -3px;
}

#confirmation {
    display: none;
    color: #008000;
    font-weight: bold;
}

#loadingAnimation {
    display: none;
    width: 200px;
    height: 200px;

    position:fixed;
    top:0;
    bottom: 0;
    left: 0;
    right: 0;

    margin: auto;
}


/* login
----------------------------------------------------------*/
#login {
    display: block;
    font-size: 1em;
    margin: 0 0 10px;
    text-align: right;
    width: 200px;
}

    #login a {
        margin-left: 10px;
        margin-right: 3px;
        padding: 2px 3px;
        text-decoration: none;
    }

    #login a.username {
        background: none;
        margin: 0;
        padding: 0;
        text-decoration: underline;
    }

    #login ul {
        margin: 0;
    }

    #login li {
        display: inline;
        list-style: none;
    }

/* styles for validation helpers */
.field-validation-error {
    color: #e80c2d;
    font-weight: bold;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #e80c2d;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #e80c2d;
    font-weight: bold;
    font-size: 1.1em;
}

.validation-summary-valid {
    display: none;
}

.editor-label,
.display-label {
    margin-top: 12px;
    margin-bottom: 3px;
}

.editor-field,
.display-field {
   margin-bottom: 5px;
}

.editor-label-horizontal,
.display-label-horizontal {
    margin-top: 2px;
    margin-bottom: 2px;
}

.editor-field-horizontal,
.display-field-horizontal {
    margin-top: 2px;
    margin-bottom: 2px;
}

#emptyPassengerFeeTable,
#emptyDriverFeeTable {
    padding-left: 20px;
}

.APIError {
    margin: 5px 0px 5px 0px;
    width: 100%;
    background-color: red;
    color: white;
    text-align: center;
    text-shadow: none;
    font-weight: bold;
    border-radius: 4px;
    display: none;
}

